function _possibleConstructorReturn(self, call) { if (call && (typeof call === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["common"], {
  /***/
  "./node_modules/@ionic/core/dist/esm/button-active-a6787d69.js":
  /*!*********************************************************************!*\
    !*** ./node_modules/@ionic/core/dist/esm/button-active-a6787d69.js ***!
    \*********************************************************************/

  /*! exports provided: c */

  /***/
  function node_modulesIonicCoreDistEsmButtonActiveA6787d69Js(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "c", function () {
      return createButtonActiveGesture;
    });
    /* harmony import */


    var _index_e806d1f6_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(
    /*! ./index-e806d1f6.js */
    "./node_modules/@ionic/core/dist/esm/index-e806d1f6.js");
    /* harmony import */


    var _index_f49d994d_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(
    /*! ./index-f49d994d.js */
    "./node_modules/@ionic/core/dist/esm/index-f49d994d.js");
    /* harmony import */


    var _haptic_27b3f981_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(
    /*! ./haptic-27b3f981.js */
    "./node_modules/@ionic/core/dist/esm/haptic-27b3f981.js");

    var createButtonActiveGesture = function createButtonActiveGesture(el, isButton) {
      var currentTouchedButton;
      var initialTouchedButton;

      var activateButtonAtPoint = function activateButtonAtPoint(x, y, hapticFeedbackFn) {
        if (typeof document === 'undefined') {
          return;
        }

        var target = document.elementFromPoint(x, y);

        if (!target || !isButton(target)) {
          clearActiveButton();
          return;
        }

        if (target !== currentTouchedButton) {
          clearActiveButton();
          setActiveButton(target, hapticFeedbackFn);
        }
      };

      var setActiveButton = function setActiveButton(button, hapticFeedbackFn) {
        currentTouchedButton = button;

        if (!initialTouchedButton) {
          initialTouchedButton = currentTouchedButton;
        }

        var buttonToModify = currentTouchedButton;
        Object(_index_e806d1f6_js__WEBPACK_IMPORTED_MODULE_0__["c"])(function () {
          return buttonToModify.classList.add('ion-activated');
        });
        hapticFeedbackFn();
      };

      var clearActiveButton = function clearActiveButton() {
        var dispatchClick = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

        if (!currentTouchedButton) {
          return;
        }

        var buttonToModify = currentTouchedButton;
        Object(_index_e806d1f6_js__WEBPACK_IMPORTED_MODULE_0__["c"])(function () {
          return buttonToModify.classList.remove('ion-activated');
        });
        /**
         * Clicking on one button, but releasing on another button
         * does not dispatch a click event in browsers, so we
         * need to do it manually here. Some browsers will
         * dispatch a click if clicking on one button, dragging over
         * another button, and releasing on the original button. In that
         * case, we need to make sure we do not cause a double click there.
         */

        if (dispatchClick && initialTouchedButton !== currentTouchedButton) {
          currentTouchedButton.click();
        }

        currentTouchedButton = undefined;
      };

      return Object(_index_f49d994d_js__WEBPACK_IMPORTED_MODULE_1__["createGesture"])({
        el: el,
        gestureName: 'buttonActiveDrag',
        threshold: 0,
        onStart: function onStart(ev) {
          return activateButtonAtPoint(ev.currentX, ev.currentY, _haptic_27b3f981_js__WEBPACK_IMPORTED_MODULE_2__["a"]);
        },
        onMove: function onMove(ev) {
          return activateButtonAtPoint(ev.currentX, ev.currentY, _haptic_27b3f981_js__WEBPACK_IMPORTED_MODULE_2__["b"]);
        },
        onEnd: function onEnd() {
          clearActiveButton(true);
          Object(_haptic_27b3f981_js__WEBPACK_IMPORTED_MODULE_2__["h"])();
          initialTouchedButton = undefined;
        }
      });
    };
    /***/

  },

  /***/
  "./node_modules/@ionic/core/dist/esm/framework-delegate-4584ab5a.js":
  /*!**************************************************************************!*\
    !*** ./node_modules/@ionic/core/dist/esm/framework-delegate-4584ab5a.js ***!
    \**************************************************************************/

  /*! exports provided: a, d */

  /***/
  function node_modulesIonicCoreDistEsmFrameworkDelegate4584ab5aJs(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "a", function () {
      return attachComponent;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "d", function () {
      return detachComponent;
    });

    var attachComponent = /*#__PURE__*/function () {
      var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(delegate, container, component, cssClasses, componentProps) {
        var el;
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                if (!delegate) {
                  _context.next = 2;
                  break;
                }

                return _context.abrupt("return", delegate.attachViewToDom(container, component, componentProps, cssClasses));

              case 2:
                if (!(typeof component !== 'string' && !(component instanceof HTMLElement))) {
                  _context.next = 4;
                  break;
                }

                throw new Error('framework delegate is missing');

              case 4:
                el = typeof component === 'string' ? container.ownerDocument && container.ownerDocument.createElement(component) : component;

                if (cssClasses) {
                  cssClasses.forEach(function (c) {
                    return el.classList.add(c);
                  });
                }

                if (componentProps) {
                  Object.assign(el, componentProps);
                }

                container.appendChild(el);

                if (!el.componentOnReady) {
                  _context.next = 11;
                  break;
                }

                _context.next = 11;
                return el.componentOnReady();

              case 11:
                return _context.abrupt("return", el);

              case 12:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));

      return function attachComponent(_x, _x2, _x3, _x4, _x5) {
        return _ref.apply(this, arguments);
      };
    }();

    var detachComponent = function detachComponent(delegate, element) {
      if (element) {
        if (delegate) {
          var container = element.parentElement;
          return delegate.removeViewFromDom(container, element);
        }

        element.remove();
      }

      return Promise.resolve();
    };
    /***/

  },

  /***/
  "./node_modules/@ionic/core/dist/esm/haptic-27b3f981.js":
  /*!**************************************************************!*\
    !*** ./node_modules/@ionic/core/dist/esm/haptic-27b3f981.js ***!
    \**************************************************************/

  /*! exports provided: a, b, c, d, h */

  /***/
  function node_modulesIonicCoreDistEsmHaptic27b3f981Js(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "a", function () {
      return hapticSelectionStart;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "b", function () {
      return hapticSelectionChanged;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "c", function () {
      return hapticSelection;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "d", function () {
      return hapticImpact;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "h", function () {
      return hapticSelectionEnd;
    });

    var HapticEngine = {
      getEngine: function getEngine() {
        var win = window;
        return win.TapticEngine || win.Capacitor && win.Capacitor.isPluginAvailable('Haptics') && win.Capacitor.Plugins.Haptics;
      },
      available: function available() {
        return !!this.getEngine();
      },
      isCordova: function isCordova() {
        return !!window.TapticEngine;
      },
      isCapacitor: function isCapacitor() {
        var win = window;
        return !!win.Capacitor;
      },
      impact: function impact(options) {
        var engine = this.getEngine();

        if (!engine) {
          return;
        }

        var style = this.isCapacitor() ? options.style.toUpperCase() : options.style;
        engine.impact({
          style: style
        });
      },
      notification: function notification(options) {
        var engine = this.getEngine();

        if (!engine) {
          return;
        }

        var style = this.isCapacitor() ? options.style.toUpperCase() : options.style;
        engine.notification({
          style: style
        });
      },
      selection: function selection() {
        this.impact({
          style: 'light'
        });
      },
      selectionStart: function selectionStart() {
        var engine = this.getEngine();

        if (!engine) {
          return;
        }

        if (this.isCapacitor()) {
          engine.selectionStart();
        } else {
          engine.gestureSelectionStart();
        }
      },
      selectionChanged: function selectionChanged() {
        var engine = this.getEngine();

        if (!engine) {
          return;
        }

        if (this.isCapacitor()) {
          engine.selectionChanged();
        } else {
          engine.gestureSelectionChanged();
        }
      },
      selectionEnd: function selectionEnd() {
        var engine = this.getEngine();

        if (!engine) {
          return;
        }

        if (this.isCapacitor()) {
          engine.selectionEnd();
        } else {
          engine.gestureSelectionEnd();
        }
      }
    };
    /**
     * Trigger a selection changed haptic event. Good for one-time events
     * (not for gestures)
     */

    var hapticSelection = function hapticSelection() {
      HapticEngine.selection();
    };
    /**
     * Tell the haptic engine that a gesture for a selection change is starting.
     */


    var hapticSelectionStart = function hapticSelectionStart() {
      HapticEngine.selectionStart();
    };
    /**
     * Tell the haptic engine that a selection changed during a gesture.
     */


    var hapticSelectionChanged = function hapticSelectionChanged() {
      HapticEngine.selectionChanged();
    };
    /**
     * Tell the haptic engine we are done with a gesture. This needs to be
     * called lest resources are not properly recycled.
     */


    var hapticSelectionEnd = function hapticSelectionEnd() {
      HapticEngine.selectionEnd();
    };
    /**
     * Use this to indicate success/failure/warning to the user.
     * options should be of the type `{ style: 'light' }` (or `medium`/`heavy`)
     */


    var hapticImpact = function hapticImpact(options) {
      HapticEngine.impact(options);
    };
    /***/

  },

  /***/
  "./node_modules/@ionic/core/dist/esm/spinner-configs-cd7845af.js":
  /*!***********************************************************************!*\
    !*** ./node_modules/@ionic/core/dist/esm/spinner-configs-cd7845af.js ***!
    \***********************************************************************/

  /*! exports provided: S */

  /***/
  function node_modulesIonicCoreDistEsmSpinnerConfigsCd7845afJs(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "S", function () {
      return SPINNERS;
    });

    var spinners = {
      'bubbles': {
        dur: 1000,
        circles: 9,
        fn: function fn(dur, index, total) {
          var animationDelay = "".concat(dur * index / total - dur, "ms");
          var angle = 2 * Math.PI * index / total;
          return {
            r: 5,
            style: {
              'top': "".concat(9 * Math.sin(angle), "px"),
              'left': "".concat(9 * Math.cos(angle), "px"),
              'animation-delay': animationDelay
            }
          };
        }
      },
      'circles': {
        dur: 1000,
        circles: 8,
        fn: function fn(dur, index, total) {
          var step = index / total;
          var animationDelay = "".concat(dur * step - dur, "ms");
          var angle = 2 * Math.PI * step;
          return {
            r: 5,
            style: {
              'top': "".concat(9 * Math.sin(angle), "px"),
              'left': "".concat(9 * Math.cos(angle), "px"),
              'animation-delay': animationDelay
            }
          };
        }
      },
      'circular': {
        dur: 1400,
        elmDuration: true,
        circles: 1,
        fn: function fn() {
          return {
            r: 20,
            cx: 48,
            cy: 48,
            fill: 'none',
            viewBox: '24 24 48 48',
            transform: 'translate(0,0)',
            style: {}
          };
        }
      },
      'crescent': {
        dur: 750,
        circles: 1,
        fn: function fn() {
          return {
            r: 26,
            style: {}
          };
        }
      },
      'dots': {
        dur: 750,
        circles: 3,
        fn: function fn(_, index) {
          var animationDelay = -(110 * index) + 'ms';
          return {
            r: 6,
            style: {
              'left': "".concat(9 - 9 * index, "px"),
              'animation-delay': animationDelay
            }
          };
        }
      },
      'lines': {
        dur: 1000,
        lines: 12,
        fn: function fn(dur, index, total) {
          var transform = "rotate(".concat(30 * index + (index < 6 ? 180 : -180), "deg)");
          var animationDelay = "".concat(dur * index / total - dur, "ms");
          return {
            y1: 17,
            y2: 29,
            style: {
              'transform': transform,
              'animation-delay': animationDelay
            }
          };
        }
      },
      'lines-small': {
        dur: 1000,
        lines: 12,
        fn: function fn(dur, index, total) {
          var transform = "rotate(".concat(30 * index + (index < 6 ? 180 : -180), "deg)");
          var animationDelay = "".concat(dur * index / total - dur, "ms");
          return {
            y1: 12,
            y2: 20,
            style: {
              'transform': transform,
              'animation-delay': animationDelay
            }
          };
        }
      }
    };
    var SPINNERS = spinners;
    /***/
  },

  /***/
  "./node_modules/@ionic/core/dist/esm/theme-ff3fc52f.js":
  /*!*************************************************************!*\
    !*** ./node_modules/@ionic/core/dist/esm/theme-ff3fc52f.js ***!
    \*************************************************************/

  /*! exports provided: c, g, h, o */

  /***/
  function node_modulesIonicCoreDistEsmThemeFf3fc52fJs(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "c", function () {
      return createColorClasses;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "g", function () {
      return getClassMap;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "h", function () {
      return hostContext;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "o", function () {
      return openURL;
    });

    var hostContext = function hostContext(selector, el) {
      return el.closest(selector) !== null;
    };
    /**
     * Create the mode and color classes for the component based on the classes passed in
     */


    var createColorClasses = function createColorClasses(color, cssClassMap) {
      return typeof color === 'string' && color.length > 0 ? Object.assign(_defineProperty({
        'ion-color': true
      }, "ion-color-".concat(color), true), cssClassMap) : cssClassMap;
    };

    var getClassList = function getClassList(classes) {
      if (classes !== undefined) {
        var array = Array.isArray(classes) ? classes : classes.split(' ');
        return array.filter(function (c) {
          return c != null;
        }).map(function (c) {
          return c.trim();
        }).filter(function (c) {
          return c !== '';
        });
      }

      return [];
    };

    var getClassMap = function getClassMap(classes) {
      var map = {};
      getClassList(classes).forEach(function (c) {
        return map[c] = true;
      });
      return map;
    };

    var SCHEME = /^[a-z][a-z0-9+\-.]*:/;

    var openURL = /*#__PURE__*/function () {
      var _ref2 = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee2(url, ev, direction, animation) {
        var router;
        return regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                if (!(url != null && url[0] !== '#' && !SCHEME.test(url))) {
                  _context2.next = 5;
                  break;
                }

                router = document.querySelector('ion-router');

                if (!router) {
                  _context2.next = 5;
                  break;
                }

                if (ev != null) {
                  ev.preventDefault();
                }

                return _context2.abrupt("return", router.push(url, direction, animation));

              case 5:
                return _context2.abrupt("return", false);

              case 6:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2);
      }));

      return function openURL(_x6, _x7, _x8, _x9) {
        return _ref2.apply(this, arguments);
      };
    }();
    /***/

  },

  /***/
  "./src/app/relations/addresses/address-edit/address.service.ts":
  /*!*********************************************************************!*\
    !*** ./src/app/relations/addresses/address-edit/address.service.ts ***!
    \*********************************************************************/

  /*! exports provided: AddressService */

  /***/
  function srcAppRelationsAddressesAddressEditAddressServiceTs(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "AddressService", function () {
      return AddressService;
    });
    /* harmony import */


    var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(
    /*! @angular/core */
    "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
    /* harmony import */


    var _angular_common_http__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(
    /*! @angular/common/http */
    "./node_modules/@angular/common/__ivy_ngcc__/fesm2015/http.js");
    /* harmony import */


    var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(
    /*! rxjs */
    "./node_modules/rxjs/_esm2015/index.js");
    /* harmony import */


    var rxjs_operators__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(
    /*! rxjs/operators */
    "./node_modules/rxjs/_esm2015/operators/index.js");
    /* harmony import */


    var _auth_auth_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(
    /*! ../../../auth/auth.service */
    "./src/app/auth/auth.service.ts");
    /* harmony import */


    var _address_model__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(
    /*! ../address.model */
    "./src/app/relations/addresses/address.model.ts");

    var AddressService = /*#__PURE__*/function () {
      function AddressService(authService, http) {
        _classCallCheck(this, AddressService);

        this.authService = authService;
        this.http = http; // tslint:disable-next-line: variable-name

        this._address = new rxjs__WEBPACK_IMPORTED_MODULE_2__["BehaviorSubject"](null);
      }

      _createClass(AddressService, [{
        key: "parseData",
        value: function parseData(resData) {
          if (resData.data) {
            var item = resData.data.address;
            return new _address_model__WEBPACK_IMPORTED_MODULE_5__["AddressItem"](item.id, item.description, item.name, item.name2, item.building, item.street, item.street2, item.postalCode, item.city, item.codeCity, item.state, item.countryCode, item.countryCode !== 'NL' ? item.countryName : null, item.latitude, item.longitude, item.googleKey, '');
          } else {
            return null;
          }
        }
      }, {
        key: "fetchAddress",
        value: function fetchAddress(id) {
          var _this = this;

          return this.authService.user.pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["switchMap"])(function (user) {
            if (!user) {
              return;
            }

            return _this.http.get(user.url('address', ['relation', String(id)], []));
          }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["map"])(function (resData) {
            // API-error ?
            if (resData.error) {
              return _this.authService.handleErrorAPI(resData.error);
            } // Data ?


            return _this.parseData(resData);
          }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["tap"])(function (address) {
            if (address) {
              _this._address.next(address);
            }
          }));
        }
      }, {
        key: "updateAddress",
        value: function updateAddress(addressItem) {
          var _this2 = this;

          return this.authService.user.pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["switchMap"])(function (user) {
            if (!user) {
              return;
            }

            var postData = {
              "data": {
                "address": {
                  "number": user.relation,
                  "id": addressItem.id,
                  "description": addressItem.description,
                  "name": addressItem.name,
                  "name2": addressItem.name2,
                  "building": addressItem.building,
                  "street": addressItem.street,
                  "street2": addressItem.street2,
                  "postalCode": addressItem.postalCode,
                  "city": addressItem.city,
                  "state": addressItem.state,
                  "countryCode": addressItem.countryCode
                }
              }
            };
            return _this2.http.post(user.url('address', ['relation', String(addressItem.id)], []), postData);
          }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["map"])(function (resData) {
            // API-error ?
            if (resData.error) {
              return _this2.authService.handleErrorAPI(resData.error);
            } // Data ? 


            return _this2.parseData(resData);
          }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["tap"])(function (address) {
            if (address) {
              _this2._address.next(address);
            }
          }));
        }
      }, {
        key: "acceptAddress",
        value: function acceptAddress(addressItem) {
          var _this3 = this;

          return this.authService.user.pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["switchMap"])(function (user) {
            if (!user) {
              return;
            }

            var putData = {
              "data": {
                "address": {
                  "number": user.relation,
                  "id": 0,
                  "description": addressItem.description,
                  "name": addressItem.name,
                  "name2": addressItem.name2,
                  "building": addressItem.building,
                  "street": addressItem.street,
                  "street2": addressItem.street2,
                  "postalCode": addressItem.postalCode,
                  "city": addressItem.city,
                  "state": addressItem.state,
                  "countryCode": addressItem.countryCode
                }
              }
            };
            return _this3.http.put(user.url('address', ['relation'], []), putData);
          }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["map"])(function (resData) {
            // API-error ?
            if (resData.error) {
              return _this3.authService.handleErrorAPI(resData.error);
            } // Data ? 


            return _this3.parseData(resData);
          }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["tap"])(function (address) {
            if (address) {
              _this3._address.next(address);
            }
          }));
        }
      }, {
        key: "cancelAddress",
        value: function cancelAddress(id) {
          var _this4 = this;

          return this.authService.user.pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["switchMap"])(function (user) {
            if (!user) {
              return;
            } // Must provide a header with a http DELETE request !


            var httpOptions = {
              headers: new _angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpHeaders"]({
                'Content-Type': 'application/json'
              })
            };
            return _this4.http["delete"](user.url('address', ['relation', String(id)], []), httpOptions);
          }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["map"])(function (resData) {
            // API-error ?
            if (resData.error) {
              return false;
            } // Data ?


            return resData.deleted;
          }));
        }
      }]);

      return AddressService;
    }();

    AddressService.ɵfac = function AddressService_Factory(t) {
      return new (t || AddressService)(_angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_4__["AuthService"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"]));
    };

    AddressService.ɵprov = _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdefineInjectable"]({
      token: AddressService,
      factory: AddressService.ɵfac,
      providedIn: 'root'
    });
    /*@__PURE__*/

    (function () {
      _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵsetClassMetadata"](AddressService, [{
        type: _angular_core__WEBPACK_IMPORTED_MODULE_0__["Injectable"],
        args: [{
          providedIn: 'root'
        }]
      }], function () {
        return [{
          type: _auth_auth_service__WEBPACK_IMPORTED_MODULE_4__["AuthService"]
        }, {
          type: _angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"]
        }];
      }, null);
    })();
    /***/

  },

  /***/
  "./src/app/relations/relation.model.ts":
  /*!*********************************************!*\
    !*** ./src/app/relations/relation.model.ts ***!
    \*********************************************/

  /*! exports provided: RelationAddress, RelationItem, RelationItems, DistrictObject, BankingObject, PaymentsObject, CollectionOrdersObject, CustomerGroupObject, CustomerGroupList, RelationObject */

  /***/
  function srcAppRelationsRelationModelTs(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "RelationAddress", function () {
      return RelationAddress;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "RelationItem", function () {
      return RelationItem;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "RelationItems", function () {
      return RelationItems;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "DistrictObject", function () {
      return DistrictObject;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "BankingObject", function () {
      return BankingObject;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "PaymentsObject", function () {
      return PaymentsObject;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "CollectionOrdersObject", function () {
      return CollectionOrdersObject;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "CustomerGroupObject", function () {
      return CustomerGroupObject;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "CustomerGroupList", function () {
      return CustomerGroupList;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "RelationObject", function () {
      return RelationObject;
    });

    var RelationAddress = function RelationAddress(name, street, namePlace, codePlace) {
      _classCallCheck(this, RelationAddress);

      this.name = name;
      this.street = street;
      this.namePlace = namePlace;
      this.codePlace = codePlace;
    };

    var RelationItem = /*#__PURE__*/function () {
      function RelationItem(id, keyword, logoUrl, address, types) {
        _classCallCheck(this, RelationItem);

        this.id = id;
        this.keyword = keyword;
        this.logoUrl = logoUrl;
        this.address = address;
        this.types = types;
      }

      _createClass(RelationItem, [{
        key: "glyph",
        value: function glyph() {
          if (this.types === 'Leverancier') {
            return 'people-vendor';
          } else if (this.types === 'Prospect') {
            return 'people-customer-unknown';
          } else {
            return 'people-customer-man';
          }
        }
      }]);

      return RelationItem;
    }();

    var RelationItems = function RelationItems(relationItems, name, header, title) {
      _classCallCheck(this, RelationItems);

      this.relationItems = relationItems;
      this.name = name;
      this.header = header;
      this.title = title;
    };

    var DistrictObject = function DistrictObject(id, name, representative, mechanic) {
      _classCallCheck(this, DistrictObject);

      this.id = id;
      this.name = name;
      this.representative = representative;
      this.mechanic = mechanic;
    };

    var BankingObject = function BankingObject(name, accountHolderName, accountHolderCity, iban, bic, bankLeitZahl) {
      _classCallCheck(this, BankingObject);

      this.name = name;
      this.accountHolderName = accountHolderName;
      this.accountHolderCity = accountHolderCity;
      this.iban = iban;
      this.bic = bic;
      this.bankLeitZahl = bankLeitZahl;
    };

    var PaymentsObject = function PaymentsObject(method, period, invoiceRebatePercentage, invoiceRebatePeriod, creditRestrictionPercentage, creditRestrictionPeriod, deferredDiscount) {
      _classCallCheck(this, PaymentsObject);

      this.method = method;
      this.period = period;
      this.invoiceRebatePercentage = invoiceRebatePercentage;
      this.invoiceRebatePeriod = invoiceRebatePeriod;
      this.creditRestrictionPercentage = creditRestrictionPercentage;
      this.creditRestrictionPeriod = creditRestrictionPeriod;
      this.deferredDiscount = deferredDiscount;
    };

    var CollectionOrdersObject = function CollectionOrdersObject(period, type, signedDateString, first) {
      _classCallCheck(this, CollectionOrdersObject);

      this.period = period;
      this.type = type;
      this.signedDateString = signedDateString;
      this.first = first;
    };

    var CustomerGroupObject = function CustomerGroupObject(number, description, captions) {
      _classCallCheck(this, CustomerGroupObject);

      this.number = number;
      this.description = description;
      this.captions = captions;
    };

    var CustomerGroupList = function CustomerGroupList(name, customerGroups) {
      _classCallCheck(this, CustomerGroupList);

      this.name = name;
      this.customerGroups = customerGroups;
    };

    var RelationObject = function RelationObject(id, termSingular, termPlural, keyword, namePlace, types, telephone, mobile, mail, homepage, vatNumber, cocNumber, logoUrl, district, banking, paying, collectionOrders, customerGroupList, header) {
      _classCallCheck(this, RelationObject);

      this.id = id;
      this.termSingular = termSingular;
      this.termPlural = termPlural;
      this.keyword = keyword;
      this.namePlace = namePlace;
      this.types = types;
      this.telephone = telephone;
      this.mobile = mobile;
      this.mail = mail;
      this.homepage = homepage;
      this.vatNumber = vatNumber;
      this.cocNumber = cocNumber;
      this.logoUrl = logoUrl;
      this.district = district;
      this.banking = banking;
      this.paying = paying;
      this.collectionOrders = collectionOrders;
      this.customerGroupList = customerGroupList;
      this.header = header;
    };
    /***/

  },

  /***/
  "./src/app/sales-payments/sales-payment.model.ts":
  /*!*******************************************************!*\
    !*** ./src/app/sales-payments/sales-payment.model.ts ***!
    \*******************************************************/

  /*! exports provided: SalesPaymentItem, SalesPaymentItems, SalesPaymentObject */

  /***/
  function srcAppSalesPaymentsSalesPaymentModelTs(module, __webpack_exports__, __webpack_require__) {
    "use strict";

    __webpack_require__.r(__webpack_exports__);
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "SalesPaymentItem", function () {
      return SalesPaymentItem;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "SalesPaymentItems", function () {
      return SalesPaymentItems;
    });
    /* harmony export (binding) */


    __webpack_require__.d(__webpack_exports__, "SalesPaymentObject", function () {
      return SalesPaymentObject;
    });

    var SalesPaymentItem = function SalesPaymentItem(id, methodIndex, paymentIndex, invoiceTerm, paymentDateTime, paymentDate, paymentAmount) {
      _classCallCheck(this, SalesPaymentItem);

      this.id = id;
      this.methodIndex = methodIndex;
      this.paymentIndex = paymentIndex;
      this.invoiceTerm = invoiceTerm;
      this.paymentDateTime = paymentDateTime;
      this.paymentDate = paymentDate;
      this.paymentAmount = paymentAmount;
    };

    var SalesPaymentItems = function SalesPaymentItems(salesPaymentItems, name, header, title) {
      _classCallCheck(this, SalesPaymentItems);

      this.salesPaymentItems = salesPaymentItems;
      this.name = name;
      this.header = header;
      this.title = title;
    };

    var SalesPaymentObject = /*#__PURE__*/function (_SalesPaymentItem) {
      _inherits(SalesPaymentObject, _SalesPaymentItem);

      function SalesPaymentObject(termSingular, termPlural, id, methodIndex, paymentIndex, invoiceTerm, invoiceDate, invoiceAmount, paymentDateTime, paymentDate, paymentAmount, employee, _final, header) {
        var _this5;

        _classCallCheck(this, SalesPaymentObject);

        _this5 = _possibleConstructorReturn(this, _getPrototypeOf(SalesPaymentObject).call(this, id, methodIndex, paymentIndex, invoiceTerm, paymentDateTime, paymentDate, paymentAmount));
        _this5.termSingular = termSingular;
        _this5.termPlural = termPlural;
        _this5.id = id;
        _this5.methodIndex = methodIndex;
        _this5.paymentIndex = paymentIndex;
        _this5.invoiceTerm = invoiceTerm;
        _this5.invoiceDate = invoiceDate;
        _this5.invoiceAmount = invoiceAmount;
        _this5.paymentDateTime = paymentDateTime;
        _this5.paymentDate = paymentDate;
        _this5.paymentAmount = paymentAmount;
        _this5.employee = employee;
        _this5["final"] = _final;
        _this5.header = header;
        return _this5;
      }

      return SalesPaymentObject;
    }(SalesPaymentItem);
    /***/

  }
}]);
//# sourceMappingURL=common-es5.js.map